## emacs-bind-map 1.1.1

=== Makefile ===
.PHONY : test

EMACS ?= emacs
CASK ?= cask

LOADPATH = -L .

ELPA_DIR = \
	.cask/$(shell $(EMACS) -Q --batch --eval '(princ emacs-version)')/elpa

test: elpa
	$(CASK) exec $(EMACS) -Q -batch $(LOADPATH) \
		-l bind-map-tests.el -f ert-run-tests-batch-and-exit

elpa: $(ELPA_DIR)
$(ELPA_DIR): Cask
	$(CASK) install
	mkdir -p $(ELPA_DIR)
	touch $@

=== debian/changelog ===
emacs-bind-map (1.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #853053)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 29 Jan 2017 17:11:31 +0500

=== debian/control ===
Source: emacs-bind-map
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa,
               elpa-evil
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/justbur/emacs-bind-map
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-bind-map.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-bind-map.git

Package: elpa-bind-map
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs
Recommends: emacs (>= 46.0),
            elpa-evil
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: bind personal keymaps in multiple locations
 `bind-map' is an Emacs package providing the macro bind-map which can
 be used to make a keymap available across different "leader keys"
 including ones tied to evil states. It is essentially a
 generalization of the idea of a leader key as used in vim or the
 Emacs `evil-leader' package, and allows for an arbitrary number of
 "leader keys". This is probably best explained with an example.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

.PHONY: override_dh_elpa_build

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%emacs-bind-map-$1.tar.gz%" \
             https://github.com/justbur/emacs-bind-map/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
